View Issue Details

IDProjectCategoryView StatusLast Update
0007030OXID eShop (all versions)1.02. Price calculations (discounts, coupons, additional costs etc.)public2020-05-15 09:49
ReporterQA 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.2.1 
Summary0007030: Different coupon / discount calculations when item or category is assigned
DescriptionIn case of unassigned items, the discount will be applied to the shopping cart.
3 x 9,95 = 29,85 minus 32,99% discount 9,85 = 20 EUR
If a category or article has been assigned to the discount, the discounted price is first applied to the article, rounded and then multiplied by the number.
9,95 less 32,99% discount = 6,67 EUR x 3 = 20,01 EUR
Here, the individual article should not be rounded, but rather the multiplication of the discounted price by the number of articles.

- es -
Steps To Reproduce1. Create discount with and without article assigned (see attachment).
2. Put 3 articles in basket

-> Different discount calculations when item or category is assigned
TagsNo tags attached.
ThemeNot defined
BrowserNot defined
PHP VersionNot defined
Database VersionNot defined

Activities

QA

2019-09-09 11:19

administrator  

mgmtp

2019-10-14 08:59

reporter   ~0013017

Are there any possible fixes for this problem? Thx

mgmtp

2020-05-12 07:20

reporter   ~0013217

Was the bug fixed in version 6.2?

Thank you for the information!

QA

2020-05-12 12:38

administrator   ~0013221

in an OXID eShop Enterprise Edition 6.2.1 I could no longer reproduce the behavior It seems that this bug has been fixed.
Please verify in a standard installation and give us a feedback. Then the bug will be closed.